<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Encapsulamiento</title>
</head>
<body>
    <script>
        class Animal {
            constructor(n){
                this.nombre = n;
            }

            get nombre() {
                console.log('accediendo al metodo get')
                return 'Sr ' + this._nombre;
            }

            set nombre(n) {
                console.log('accediendo al metodo set')
                this._nombre = n.trim();
            }

            hablar() {
                return "cuak";
            }

            quienSoy() {
                return "hola, soy" + this.nombre;

            }
        }

        var pato = new Animal('Donald');
        </script>
</body>
</html>